com.holonplatform.vaadin.flow.components.builders

## Interface FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, ComponentConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, FilterableSingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasAutofocusConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasEnabledConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasFilterableDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,String,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasLabelConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasPatternConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasPlaceholderConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<String,FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasSizeConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, HasStyleConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, ItemSetConfigurator<FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, PropertySelectInputConfigurator<T,T,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, SelectableInputConfigurator<T,T,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, SingleSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, ValidatableInputConfigurator<T,ValidatableSingleSelect<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>
  Enclosing interface:
    FilterableSingleSelectConfigurator<T,ITEM,B extends FilterableSingleSelectConfigurator<T,ITEM,B>>

      public static interface FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>
      extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>, BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>>

  `Property` model based filterable `SingleSelect` input builder with validation support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C extends FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C>>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C extends FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator

      `dataSource, dataSource, dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `allowCustomValue, clearButtonVisible, create, create, create, create, itemLabelGenerator, pageSize, renderer, withCustomValueSetListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemsConfigurator

      `addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2020 The Holon Platform. All rights reserved.